package com.nokia.sms.sgip.message;

import java.io.IOException;

import org.apache.mina.core.buffer.IoBuffer;

public class UnBindResponseMessage extends SgipMessage {
    public static final int COMMAND_ID = -2147483646;

    public IoBuffer getBuffer() {
        if (this.head == null) {
            this.head = new Head();
        }
        this.head.setCommandId(-2147483646);
        this.head.setMessageLength(20);
        return this.head.getBuffer();
    }

    public void parseBody(IoBuffer ioBuffer)
            throws IOException {
    }

    public String toString() {
        return "UnBindResponseMessage [head=" + this.head + "]";
    }
}
